{{- if .Values.cluster_config.external_kubectl_access.enabled }}
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRoleBinding
metadata:
  name: external-access
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: ClusterRole
  name: external-access
subjects:
- apiGroup: rbac.authorization.k8s.io
  kind: Group
  name: {{ .Values.cluster_config.external_kubectl_access.admin_group }}
{{- end }}
